## xerces27 2.7.0-3

=== debian/changelog ===
xerces27 (2.7.0-3) unstable; urgency=low

  * Updated build-depends for icu36

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 13 Nov 2006 19:42:33 -0500

xerces27 (2.7.0-2) unstable; urgency=low

  * Updated standards version to 2.7.2.  No changes required.
  * Switch to individual maintenance

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 May 2006 17:41:19 -0400

xerces27 (2.7.0-1) unstable; urgency=low

  * Initial release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat,  5 Nov 2005 15:01:40 -0500
