=== debian/control ===
Source: xerces27
Section: libs
Priority: extra
Build-Depends: debhelper (>= 4.1.0), cdbs, autotools-dev
Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.7.2

Package: libxerces27
Architecture: any
Depends: ${shlibs:Depends}
Suggests: xalan
Description: validating XML parser library for C++
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  Xerces-C++ makes it easy to give your application the ability
 to read and write XML data. A shared library is provided for parsing,
 generating, manipulating, and validating XML documents. Xerces-C++ is
 faithful to the XML 1.0 recommendation and associated standards (DOM
 1.0, DOM 2.0, SAX 1.0, SAX 2.0, Namespaces, XML Schema Part 1 and
 Part 2).  It also provides experimental implementations of XML 1.1
 and DOM Level 3.0.  The parser provides high performance, modularity,
 and scalability.

Package: libxerces27-dev
Section: libdevel
Architecture: any
Depends: libxerces27 (= ${Source-Version}), libc6-dev | libc-dev
Conflicts: libxerces25-dev, libxerces26-dev
Suggests: libxerces27-doc
Description: validating XML parser library for C++ (development files)
 Xerces-C++ is a validating XML parser written in a portable subset of C++.
 This package contains the development files for Xerces. It also contains
 various sample files.

Package: libxerces27-doc
Section: doc
Architecture: all
Suggests: libxerces27-dev
Description: validating XML parser library for C++ (documentation)
 Xerces-C++ is a validating XML parser written in a portable subset of C++.
 This package contains the documentation files.
